Skip to main content
GET
/
payaza-account
/
api
/
v1
/
mainaccounts
/
merchant
/
transaction
/
{transaction_reference}
Transaction Status Query
curl --request GET \
  --url https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/transaction/{transaction_reference} \
  --header 'Authorization: <api-key>' \
  --header 'X-TenantID: <api-key>'
{
  "message": "Transaction fetched",
  "status": true,
  "retry_count": 0,
  "data": {
    "transactionDateTime": "2023-02-02T17:08:55.084673",
    "transactionReference": "1242368116",
    "creditAccount": "1023213616",
    "bankCode": "000004",
    "beneficiaryName": "WILSON JAMES",
    "transactionAmount": 300,
    "fee": 10,
    "sessionId": "999999240902170916631388211854",
    "transactionStatus": "NIP_SUCCESS",
    "narration": "Remittance",
    "transactionType": "DEBIT",
    "responseMessage": "Approved or Completely Successful",
    "responseCode": "00",
    "currency": "NGN",
    "balanceBefore": 431.1,
    "balanceAfter": 121.1,
    "duration": {}
  }
}

Authorizations

Authorization
string
header
required

Payaza {{Public API Key in Base 64}}

X-TenantID
string
header
required

live or test

Path Parameters

transaction_reference
string
required

The unique identifier given to a particular transaction

Response

Payment successful

message
string

Response message.

Example:

"Transaction fetched"

status
boolean

Request status.

Example:

true

retry_count
integer

Number of retries attempted.

Example:

0

data
object

Transaction details.